# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global enable_tests 0

%global barename grunt-contrib-cssmin

Name:               nodejs-grunt-contrib-cssmin
Version:            0.12.3
Release:            2%{?dist}
Summary:            Compress CSS files

License:            MIT
URL:                https://www.npmjs.org/package/grunt-contrib-cssmin
Source0:            https://github.com/gruntjs/%{barename}/archive/v%{version}/%{barename}-%{version}.tar.gz
BuildArch:          noarch

%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

BuildRequires:      npm(chalk)
BuildRequires:      npm(clean-css)
BuildRequires:      npm(grunt)
BuildRequires:      npm(maxmin)

%if 0%{?enable_tests}
BuildRequires:      npm(grunt-contrib-nodeunit)
BuildRequires:      npm(grunt-contrib-jshint)
BuildRequires:      npm(grunt)
BuildRequires:      npm(grunt-contrib-internal)
BuildRequires:      npm(grunt-contrib-clean)
%endif


%description
Compress CSS files.

%prep
%setup -q -n %{barename}-%{version}

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret
%nodejs_fixdep maxmin ~0.x
%nodejs_fixdep chalk ~0.x

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/grunt-contrib-cssmin
cp -pr package.json tasks \
    %{buildroot}%{nodejs_sitelib}/grunt-contrib-cssmin

%nodejs_symlink_deps


%check
%if 0%{?enable_tests}
%nodejs_symlink_deps --check
grunt test
%endif


%files
%doc README.md
%license LICENSE-MIT
%{nodejs_sitelib}/grunt-contrib-cssmin/

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.12.3-1
- Update to upstream 0.12.3
- Removed deprecated group tag

* Fri Feb 20 2015 Ralph Bean <rbean@redhat.com> - 0.12.2-1
- new version

* Sun Feb 19 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.12.1-1
- Update to upstream 0.12.1
- Changed Source0 from npm to github, license file was removed from npm

* Thu Oct 23 2014 Ralph Bean <rbean@redhat.com> - 0.10.0-1
- Latest upstream.
- Build as noarch.

* Tue Jul 08 2014 Ralph Bean <rbean@redhat.com> - 0.9.0-1
- Initial packaging for Fedora.
